car
{
  name=Chevrolet Kadett SL 1.8 E.F.I
  year=1993
  credits=Original Author:Andrey Nickname:50 AND(README)/Converted by FernSS1970
  comments=GM OHC E.F.I(single point)1.8l 1796cm³ 99cv(72.8Kw) a 5600rpm 16,0mkgf(157Nm) a 3000rpm ÁLCOOL
  id=sl92
  version=088b
  wheels=4
  shadow
  {
    texture=shadow.tga
    width=2.3
    length=4.8
    offset_z=-0.1
    offset=0
  }
	cg
	{
		x=0
		y=-0.16
		z=0.33
	}
	ff_factor=0.25
}

body
{
	x=0
	y=0
	z=0
	mass=1010
	inertia
	{
            x=1900
            y=2100
            z=460
	}
	width=1.79
	height=1.391
	length=4.089
	manual_box=1
	model
	{
		file=KADETTSL.dof
	}
	model_incar
	{
		file=KADETTSL.dof
	}
	model_light_l
	{
		file=lights.dof
	}
	model_braking_l
	{
		file=brakes.dof
	}
        model_lightroad_l
        {
                file=lightsin.dof
        }
}
lights
{
  ; Projected lights
  light0
  {
    texture=light.tga
    ; Field of view (vertical)
    fov=35
    ; Aspect (horizontal)
    aspect=4.5
    ; Distance to car
    z=0.2
    ; Pitching with respect to car (in degrees)
    pitch=0
    ; Fall-off distance
    far=100
  }
  light1
  {
    texture=light.tga
    ; Field of view (vertical)
    fov=25.0
    ; Aspect (horizontal)
    aspect=1
    ; Distance to car
    z=2
    ; Pitching with respect to car (in degrees)
    pitch=10
  }
}
flares
{
  ; Front lights
  flare0
  {
    pos=-0.54 0 1.97
    color=1.0 0.6 0.4
	normal=0.05 0 1
	z_offset=-2500
	size_factor=1.2
	intensity=1
        hor_scale=2
  }
  flare1
  {
    pos=0.54 0 1.97
    color=1.0 0.6 0.4
	normal=0.05 0 1.01
	z_offset=-2500
	size_factor=1.2
	intensity=1
        hor_scale=2
  }
  flare2
  {
    pos=-0.54 0 1.97
    color=1.0 0.6 0.4
	normal=0.05 0 1
	z_offset=-2500
	size_factor=1.2
	intensity=1
        hor_scale=2
  }
  flare3
  {
    pos=0.54 0 1.97
    color=1.0 0.6 0.4
	normal=0.05 0 1.01
	z_offset=-2500
	size_factor=1.2
	intensity=1
        hor_scale=2
  }
  flare4
  {
    pos=-0.69 0 1.91
    color=1.0 0.4 0.2
	normal=0.05 0 1
	z_offset=-2500
	size_factor=0.8
	intensity=0.55
        hor_scale=1
  }
  flare5
  {
    pos=0.69 0 1.91
    color=1.0 0.4 0.2
	normal=0.05 0 1.01
	z_offset=-2500
	size_factor=0.8
	intensity=0.55
        hor_scale=1
  }
  flare6
  {
    pos=-0.69 0 1.91
    color=1.0 0.4 0.2
	normal=0.05 0 1
	z_offset=-2500
	size_factor=0.8
	intensity=0.55
        hor_scale=1
  }
  flare7
  {
    pos=-0.69 0 1.91
    color=1.0 0.4 0.2
	normal=0.05 0 1.01
	z_offset=-2500
	size_factor=0.8
	intensity=0.55
        hor_scale=1
  }
  ; Front anti-fog lights
  flare8
  {
    pos=-0.63 -0.29 1.99
    color=1.0 0.6 0.4
	normal=0.05 0 1
	z_offset=-2500
	size_factor=0.9
	intensity=0.9
        hor_scale=0.9
  }
  flare9
  {
    pos=0.63 -0.29 1.99
    color=1.0 0.6 0.4
	normal=0.05 0 1
	z_offset=-2500
	size_factor=0.9
	intensity=0.9
        hor_scale=0.9
  }
  flare10
  {
    pos=-0.63 -0.29 1.99
    color=1.0 0.6 0.4
	normal=0.05 0 1
	z_offset=-2500
	size_factor=0.9
	intensity=0.9
        hor_scale=0.9
  }
  flare11
  {
    pos=0.63 -0.29 1.99
    color=1.0 0.6 0.4
	normal=0.05 0 1
	z_offset=-2500
	size_factor=0.9
	intensity=0.9
        hor_scale=0.9
  }
  ; Rear lights
  flare12
  {
    pos=0.61 -0.23 -2
	normal=-0.05 0 -0.5
	color=1.0 0.1 0.0
	size_factor=1
	intensity=0.7
	z_offset=-1000
  }
  flare13
  {    
    pos=0.61 -0.23 -2
	normal=-0.05 0 -0.5
	color=1.0 0.1 0.0
	size_factor=1
	intensity=0.7
	z_offset=-1000
  }
  ; Brake lights
  flare14
  {
    rule=brake
    pos=-0.66 0.2 -1.92
	normal=0 0 -1
	color=1.0 0.0 0.0
	size_factor=0.7
	intensity=0.5
	z_offset=-1000
  }
  flare15
  {
    rule=brake
    pos=0.66 0.2 -1.92
	normal=0 0 -1
	color=1.0 0.0 0.0
	size_factor=0.7
	intensity=0.5
	z_offset=-1000
  }
  flare16
  {
    rule=brake
    pos=-0.66 0.2 -1.92
	normal=0 0 -1
	color=1.0 0.0 0.0
	size_factor=0.7
	intensity=0.5
	z_offset=-1000
  }
  flare17
  {
    rule=brake
    pos=0.66 0.2 -1.92
	normal=0 0 -1
	color=1.0 0.0 0.0
	size_factor=0.7
	intensity=0.5
	z_offset=-1000
  }
}

steer
{
	x=0.31
	y=0.21
	z=0.345
	xa=18	
	lock=1080		
	linearity=0.5
	model
	{
		file=volante.dof
	}
}

engine
{
	size=0
  	mass=116
  	stall_rpm=450
  	start_rpm=1350
  	idle_rpm=1100
  	autoclutch_rpm=2500
  	max_rpm=7200
  	curve_torque=OHC.crv
  	max_torque=157
  	idle_method=1
  	starter=1
  	starter_torque=80
  	start_stalled=1
    enable_stall=1

  jitter
  {
    amplitude=0.5
    time_min=550
    time_var=10
    frequency_min=10
    frequency_var=1
  }
  shifting
  {
    automatic=0
    shift_up_rpm=6100
    shift_down_rpm=3000
    time_to_declutch=50
    time_in_neutral=250
    time_to_clutch=50
    time_to_declutch_down=50
    time_in_neutral_down=250
    time_to_clutch_down=200
  }

 inertia
  {
    engine=0.28
    final_drive=0.1
  }
  braking_coeff=1.94
}
clutch
{
  max_torque=450
}
gearbox
{
  gears=6
  gear0
  {
    ratio=-3.33
    inertia=0.13
  }
  gear1
  {
    ratio=3.55
    inertia=0.13
  }
  gear2
  {
    ratio=1.95
    inertia=0.09
  }
  gear3
  {
    ratio=1.28
    inertia=0.07
  }
  gear4
  {
    ratio=0.89
    inertia=0.05
  }
  gear5
  {
    ratio=0.71
    inertia=0.03
  }
}

differential
{
	type=1
	ratio=3.94
	inertia=0.1
	locking_coeff=45
	output0=0
	output1=1
}

handbrakes
{
	wheels=23
}
aero
{
	body
	{
		center=0 0 0
		cx=0.24
		area=2.3
	}
	wings=1
	wing0
	{
		name=Rear spoiler
		span=1
		cord=1
		coeff_drag=0
		coeff_down=10
		center=0 0 -1
		angle=0
		angle_offset=10
	}
}


antirollbar
{
	count=2
	arb0
	{
		susp_left=0
		susp_right=1
		k=12500
	}
	arb1
	{
		susp_left=2
		susp_right=3
		k=12250
	}
}

susp_front
{
	y=-0.04
	z=1.255
	restlen=0.411			
	minlen=0.22
	maxlen=0.46
	k=43781.6943144			
	bump_rate=4600		
	rebound_rate=4600	
	bump_function=0
	rebound_function=0
	anti_pitch=0.1
	camber_change_per_m=0.067
	roll_center
	{
		x=0
		y=-0.552	
		z=0
	}
}

susp_rear
{
	y=-0.08
	z=-1.255
	restlen=0.370			
	minlen=0.2
	maxlen=0.43
	k=43781.6943144			
	bump_rate=4600		
	rebound_rate=4200	
	bump_function=0
	rebound_function=0
	anti_pitch=0.1
	camber_change_per_m=0.14
	roll_center
	{
		x=0
		y=-0.504	
		z=0
	}
}

susp0~susp_front
{
	x=0.74
	camber_change_steering=0.147	
	caster_offset=-0.0235		
	toe_change_per_m=0
}
susp1~susp_front
{
	x=-0.74
	camber_change_steering=-0.147	
	caster_offset=-0.0235		
	toe_change_per_m=0
}

susp2~susp_rear
{
	x=0.735
}
susp3~susp_rear
{
	x=-0.735
}

;----------------------tyres----------------------

tire_model_front
{
	damping_predict_lat=0
	damping_predict_long=0
}
tire_model_rear
{
	damping_predict_lat=0
	damping_predict_long=0
}
pacejka
{
    	a0=1.25
    	a1=-35
    	a2=1300
    	a3=2000
    	a4=8
    	a5=0.015
    	a6=-0.25
    	a7=0.1
    	a8=-0.03
    	a9=-0.001
    	a10=-0.15
    	a111=-4.3
    	a112=-0.29
    	a12=17.8
    	a13=-2.4

    	b0=1.5
    	b1=-70
    	b2=1000 
    	b3=21
    	b4=325
    	b5=0.08
    	b6=0
    	b7=0.05
    	b8=-0.025
    	b9=0.015
    	b10=0.4
    	b11=-50
    	b12=0

    	c0=2.2
    	c1=-4
    	c2=-3
    	c3=-1
    	c4=-7
    	c5=0.0
    	c6=0.0
    	c7=0.044
    	c8=-0.58
    	c9=0.18
    	c10=0.043
    	c11=0.048
    	c12=-0.0035
    	c13=-0.18
    	c14=0.14
    	c15=-1.029
    	c16=0.27
    	c17=-1.1

    	optimal_slipratio=0.11
    	optimal_slipangle=0.157
}

;----------------------wheels----------------------

wheel_front
{
	y=0
	z=0
	steering=1
	powered=1
	lock=52
	mass=25
	inertia=0.3990519
	radius=0.31
	rolling_coeff=0.015
	max_braking=1225
	braking_factor=0.75
	tire_rate=160000
	pacejka~pacejka
	}
}

wheel_rear
{
	y=0
	z=0
	steering=0
	powered=0
	power_gearing=0 	
	mass=15.8
	inertia=0.3990519
	radius=0.31
	rolling_coeff=0.0150
	max_braking=500
	braking_factor=0.75
	max_handbrake_torque=3500
	tire_rate=160000
	pacejka~pacejka
	}
}

wheel0~wheel_front
{
  x=0
  ackerman=1.1
  toe=-0.1695
  camber=-0.2
  model
  {
    file=lf.dof
  }
}
wheel1~wheel_front
{
  x=-0
  ackerman=1.1
  toe=0.1695
  camber=-0.2
  model
  {
    file=rf.dof
  }
}
wheel2~wheel_rear
{
  x=0
  toe=0.133
  camber=0
  model
  {
    file=lf.dof
  }
}
wheel3~wheel_rear
{
  x=-0
  toe=-0.133
  camber=0
  model
  {
    file=rf.dof
  }
}

;	------------------ 5.1 ALPHA AUDIO COMPATABILTY -----------------

audio
{
      accelerate_in
{; Master volume for this set (0..1)
      volume=1.0
      smp0~audio.acc_all
      {
         sample=1692_in.wav
         min=200
         max=5000
         natural=1692
         attack=500
         decay=1200
         volume=0.8
      }
      smp1~audio.acc_all
      {
         sample=2340_in2.wav
         min=2000
         max=5300
         natural=2340
         attack=1200
         decay=1600
         volume=1.2
      }
     smp2~audio.acc_all
      {
         sample=5184.wav
         min=5000
         max=7000
         natural=5184
         attack=1500
         decay=800
         volume=0.8
      }
 smp3~audio.acc_all
      {
         sample=2340_in.wav
         min=5800
         max=6500
         natural=2340
         attack=1400
         decay=1600
         volume=1.3
      }
}
      decelerate_in
{
; Master volume for this set (0..1)
      volume=1.0
      smp0~audio.acc_all
      {
         sample=1692_in.wav
         min=500
         max=6000
         natural=1692
         attack=1200
         decay=1200
         volume=2.6
      }
smp1~audio.acc_all
      {
         sample=2340_in.wav
         min=500
         max=5500
         natural=2340
         attack=1200
         decay=1200
         volume=0.65
      }
      smp2~audio.acc_all
      {
         sample=pop.wav
         min=1999
         max=2000
         natural=2000
        attack=10
        decay=10
        volume=2.0
    }
}

   accelerate_out
   {
      ; Master volume for this set (0..1)
      volume=1.0
      smp0~audio.acc_all
      {
         sample=1548_ex_idle.wav
         min=500
         max=2200
         natural=1548
         attack=1200
         decay=1200
         volume=1.5
      }
      smp1~audio.acc_all
      {
         sample=2340_ex_idle.wav
         min=2500
         max=4800
         natural=2340
         attack=1200
         decay=1600
         volume=1.0
      }
     smp2~audio.acc_all
      {
         sample=5184.wav
         min=4200
         max=7000
         natural=5184
         attack=2000
         decay=2000
         volume=1.5
      }
   }
   decelerate_out
   {
      ; Master volume for this set (0..1)
      volume=2.0
      smp0~audio.acc_all
      {
         sample=2340_ex_idle.wav
         min=500
         max=6000
         natural=2340
         attack=1200
         decay=1200
         volume=0.7
      }
      smp1~audio.acc_all
      {
         sample=pop.wav
         min=1999
         max=2000
         natural=2000
        attack=10
        decay=10
        volume=2.0
      }	
   }
  wind
  {
    volume=0.8
    pitch_scale=0
    pitch_offset=50
    smp0
    {
      sample=wind1.wav
      min=25
      max=26
      attack=33
      decay=33
      natural=80
    }
    smp1
    {
      sample=wind2.wav
      min=50
      max=51
      attack=33
      decay=33
      natural=80
    }
    smp2
    {
      sample=wind3.wav
      min=75
      max=76
      attack=33
      decay=33
      natural=80
    }
  }
}

;----------------------driving aids----------------------

traction_control
{
	max_velocity_ratio=1.1
	min_velocity_ratio=1.05
	enable=0
}

abs
{
	max_velocity_ratio=1.1
	min_velocity_ratio=1.1
	enable=0
}


;---------------------------------------------
;Cameras
;---------------------------------------------

camera0
{
  name=Driver
  fov=70
  model=1
  wheels=0
  view=1
  follow
  {
    pitch=1
    yaw=1
    roll=1
  }
  offset
  {
    x=0.31
    y=-0.49
    z=-0.18
  }
  offset_to
  {
    x=0.43
    y=-0.5
    z=10
  }
  angle
  {
    x=0
    y=180
    z=0.000000
  }
}
camera1
{
  name=Driver, left
  fov=60
  model=1
  wheels=0
  view=1
  offset
  {
    x=0.3
    y=0.49
    z=-0.18
  }
  offset_to
  {
    x=10.43
    y=0.5
    z=10
  }
  src
  {
    mass=1
    k=250
    damping=25
    maxdist=0.3
  }
  dst
  {
    mass=1
    k=0
    damping=0
    maxdist=0
  }
}
camera2
{
  name=Driver, right
  fov=60
  model=1
  wheels=0
  view=1
  offset
  {
    x=0.3
    y=0.49
    z=-0.18
  }
  offset_to
  {
    x=-9.57
    y=0.5
    z=10
  }
  src
  {
    mass=1
    k=250
    damping=25
    maxdist=0.3
  }
  dst
  {
    mass=1
    k=0
    damping=0
    maxdist=0
  }
}
camera3
{
  name=Driver, rear
  fov=-65
  model=0
  wheels=0
  view=0
  offset
  {
    x=0.1
    y=0.49
    z=-0.03
  }
  offset_to
  {
    x=-1
    y=0.5
    z=-10
  }
  src
  {
    mass=1
    k=250
    damping=25
    maxdist=0.3
  }
  dst
  {
    mass=1
    k=0
    damping=0
    maxdist=0
  }
}
camera4
{
  name=Chase
  fov=60
  model=0
  wheels=0
  view=0
  offset
  {
    x=0
    y=-0.5
    z=-5
  }
  follow
  {
    pitch=0
    yaw=1
    roll=0
  }
  angle
  {
    x=15
    y=180
    z=0
  }
}
camera5
{
  name=Chase rear
  fov=60
  model=0
  wheels=0
  view=0
  offset
  {
    x=0
    y=-0.5
    z=-5
  }
  follow
  {
    pitch=0
    yaw=1
    roll=0
  }
  angle
  {
    x=15
    y=0
    z=0
  }
}
camera6
{
  name=Free exterior
  fov=60
  model=0
  wheels=0
  view=0
  offset
  {
    x=0
    y=-0.5
    z=-5
  }
  follow
  {
    pitch=0
    yaw=0
    roll=0
  }
  angle
  {
    x=10
    y=180
    z=0
  }
}
camera7
{
	name=Side
	fov=60
	model=0
	wheels=0
	view=0
	offset
	{
		x=1.267185
		y=0.129164
		z=-2.6
	}
	angle
	{
		x=1.361085
		y=-165.972626
		z=1.298599
	}
	follow
	{
		pitch=0
		yaw=1
		roll=1
	}

}
camera8
{
  name=Far
  fov=20
  model=0
  view=0
  wheels=0
  follow
  {
    pitch=0
    yaw=0
    roll=0
  }
  offset
  {
    x=0
    y=-0.5
    z=-17
  }
  angle
  {
    x=10
    y=50
    z=0
  }
}
camera9
{
	name=Bonnet
	fov=60
	model=0
	wheels=0
	view=0
	offset
	{
		x=0.356
    		y=-0.75
    		z=0.55
	}
	follow
	{
		pitch=1
		yaw=1
		roll=1
	}
	angle
	{
		x=5
		y=180
		z=0
	}
}